
Name:           qtox
Version:        1.17.6
Release:        %mkrel 1
Summary:        Powerful Tox client written in C++/Qt that follows the Tox design guidelines
License:        GPLv3
Group:		    Networking/Instant messaging
URL:            https://qtox.github.io/
Source0:        qTox-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	lib64exif12-devel
BuildRequires:	lib64ffmpeg-devel
BuildRequires:  lib64filteraudio-devel
BuildRequires:  lib64glib2.0-devel
BuildRequires:	lib64gtk+2.0_0-devel
BuildRequires:	lib64openal-devel
BuildRequires:	lib64sqlcipher-devel
BuildRequires:	lib64qt5concurrent-devel
BuildRequires:	lib64qt5help-devel
BuildRequires:	lib64qt5network-devel
BuildRequires:	lib64qt5opengl-devel
BuildRequires:	lib64qt5sql-devel
BuildRequires:	lib64qt5svg-devel
BuildRequires:	lib64qt5test-devel
BuildRequires:	lib64qt5xml-devel
BuildRequires:	lib64xscrnsaver-devel
BuildRequires:	lib64sodium-devel
BuildRequires:	libpthread-stubs
BuildRequires:	qrencode-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qttools5
BuildRequires:	toxcore-devel

%description
%{summary}.

%prep
%setup -qn qTox-%{version}

%build
export CXXFLAGS="%{optflags} -Wno-deprecated-declarations"
%cmake
%cmake_build

%install
%cmake_install

desktop-file-edit \
  --set-key=Categories \
  --set-value="Network;InstantMessaging;X-MandrivaLinux-Internet-InstantMessaging;" \
  %{buildroot}%{_desktopdir}/io.github.qtox.qTox.desktop

%files
%{_bindir}
%{_datadir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Oct 27 2022 tex - 1.17.6-1pclos2022
- new version

* Fri Dec 24 2021 tex - 1.17.4-1pclos2022
- new version

* Tue May 18 2021 tex - 1.17.3-2pclos2021
- rebuild against updates

* Sun Dec 13 2020 tex - 1.17.3-1pclos2020
- new version

* Sun Nov 22 2020 tex - 1.17.2-3pclos2020
- rebuild against updates

* Sat Sep 12 2020 tex - 1.17.2-2pclos2020
- rebuild against updates

* Tue Aug 04 2020 tex - 1.17.2-1pclos2020
- new version

* Fri May 04 2018 marcin82 <fixxer1982 at gmail.com> 1.15.0-1pclos2018
- update, added BR: lib64filteraudio-devel

* Sat Jan 06 2018 marcin82 <m82 at op.pl> 1.13.0-2pclos2017
- rebuilt with new toxcore

* Wed Nov 29 2017 marcin82 <m82 at op.pl> 1.13.0-1pclos2017
- update
- removed werror and desktop file patches

* Thu Nov 16 2017 bb2 <bb2> - 1.12.1-2pclos2017
- rebuild against updates (new sodium)
- apply werror patch to make it build

* Wed Oct 11 2017 marcin82 <marcin82 at vp.pl> - 1.12.1-1pclos2017
- update

* Fri Jul 21 2017 marcin82 <marcin82 at vp.pl> - 1.11.0-1pclos2017
- update, removed patch1

* Thu Jun 15 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-3pclos2017
- rebuild with toxcore-0.1.9

* Sun Jun 11 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-2pclos2017
- added Patch1 instead of sed workaround in %%build section

* Sat Jun 10 2017 marcin82 <marcin82 at vp.pl> - 1.10.2-1pclos2017
- update

* Sun Jun 04 2017 marcin82 <marcin82 at vp.pl> - 1.10.1-1pclos2017
- update
- removed QT_AUTO_SCREEN_SCALE_FACTOR=0 variable from desktop file
  as unnecessary

* Mon May 09 2017 marcin82 <marcin82 at vp.pl> - 1.10.0-1pclos2017
- update

* Mon Mar 27 2017 marcin82 <marcin82 at vp.pl> - 1.9.0-1pclos2017
- update

* Fri Mar 10 2017 bb2 <bb2> - 1.8.1-2pclos2017
- rebuild new ffmpeg

* Tue Feb 27 2017 marcin82 <marcin82 at vp.pl> 1.8.1-1pclos2017
- update
- added QT_AUTO_SCREEN_SCALE_FACTOR=0 variable definition
  in *.desktop file due to bug/scaling error:
  https://github.com/qTox/qTox/issues/4176

* Thu Dec 30 2016 marcin82 <marcin82 at vp.pl> 1.7.0-1pclos2017
- update

* Wed Dec 15 2016 marcin82 <marcin82 at vp.pl> 1.6.0-1pclos2017
- Initial build for PCLinuxOS
